import { Request, Response } from 'express';
import { createNoticeDto, noticeFilterDto, updateNoticeAcknowledgmentDto, updateNoticeDto } from './notice.dto';
import { NoticeService } from './notice.service';
export declare class NoticeController {
    private readonly service;
    constructor(service: NoticeService);
    create(data: createNoticeDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(query: noticeFilterDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(noticeId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(noticeId: string, data: updateNoticeDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    updateAcknowledge(noticeId: string, data: updateNoticeAcknowledgmentDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(noticeId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
